get
https://staging.myrecurpay.com/api/admin/v2/customers//subscriptions
Get subscriptions of a specific customer.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Path Params
| URL Parameters | Type | Description |
|---|---|---|
| customer_id | string | Customer id - A unique identifier for the customer. |
Response Params
| Attribute | Type | Description |
|---|---|---|
| subscriptions | array of objects | Object containing the subscription details. See Subscription - Object |
Subscription Object
| Attribute | Type | Description |
|---|---|---|
| id | string | Subscription id - A unique identifier for the subscription. |
| customer | object | Object containing the customer details. See Customer - Object |
| status | object | Subscription Status. It can be either active, halted, paused, trial, cancelled. |
| plan | object | Object containing the plan details. See Plan - Object |
| originOrder | object | Object containing the main/origin order details. See Order - Object |
| shipping_address | object | Object containing the shipping address details of subscription. See Address - Object |
| billing_address | object | Object containing the billing address details of subscription. See Address - Object |
| transaction | object | Object containing the transaction details of subscription. See Transaction - Object |
| renewal | object | Object containing the renewal details of subscription. See Renewal - Object |
| subscribed_at | datetime | The date and time when the first subscription order was created. |
| created_at | datetime | The date and time when the subscription was created. |
| updated_at | datetime | The date and time when the subscription was updated. |
Customer Object
| Attribute | Type | Description |
|---|---|---|
| id | string | Customer id - A unique identifier for the customer. |
| string | The unique email address of the customer. | |
| first_name | string | The customer's first name. |
| last_name | string | The customer's last name. |
| phone | string | The customer's first name. |
| total_spent | float | The customer's total spent on subscriptions. |
| note | string | The customer's profile note. |
| addresses | object | All addresses linked to the customer. See Address - Object |
| default_address | object | Default address of the customer. See Address - Object |
| created_at | datetime | The date and time when the customer was created. |
| updated_at | datetime | The date and time when the customer was created. |
| channel | string | Channel where the customer was created. |
Address Object
| Attribute | Type | Description |
|---|---|---|
| first_name | string | The customer's first name. |
| last_name | string | The customer's last name. |
| address1 | string | The customer's mailing address. |
| city | string | The customer's city, town, or village. |
| province | string | The customer's region name. Typically a province, a state, or a prefecture. |
| zip | string | The customer's postal code, also known as zip, postcode, Eircode, etc. |
| phone | string | The customer's phone. |
| phone_prefix | string | The prefix or international code of the phone. |
| phone_country_code | string | The country code of the phone number. |
| country | string | The customer's country. |
Transaction Object
| Attribute | Type | Description |
|---|---|---|
| gateway | string | Name of the payment gateway |
| mode | string | Mode of the payment. Eg: Either card, upi, cod etc. |
| recurring | boolean | It can be either true or false, depending on whether recurring transactions are allowed on the payment mode used for the transaction |
Renewal Object
| Attribute | Type | Description |
|---|---|---|
| last_renewal | datetime | Date and time of the last renewal of subscription |
| next_renewal | datetime | Date and time of the next renewal of subscription |
| pending_renewal | integer | Count of the remaining renewals, applicable only for prepaid subscriptions. |
